%define rever 10

Summary: A Transfer Statistics Usage program
Summary: web, ftp  α׷
Name: webalizer
Version: 2.01
Release: 5kr
Source0: ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{version}-%{rever}-src.tgz
Source1: webalizer.conf
Source2: webalizer.cron
Source100: GeoIP.INSTALL
Source101: GeoIP.README
Patch0: %{name}-oops.patch
Patch1: geolizer.patch
Copyright: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-root
Requires: apache
Requires: GeoIP
BuildRequires: GeoIP-devel

%description
The Webalizer is a web or ftp server log file analysis program which produces
usage statistics in HTML format for viewing with a browser. This version supported
offline ip lookup with geoip library.

%description -l ko
Webalizer browser  web Ǵ ftp α׸ мϿ html ִ
  ִ α׷̴.  ϴ  GeoIP ̺귯
Ͽ  IP lookup  Ѵ.

%prep
%setup -n %{name}-%{version}-%{rever}
%patch0 -p1
%patch1 -p1

cp %{SOURCE100} .
cp %{SOURCE101} .

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-language=korean \
		--sysconfdir=/etc/webalizer \
		--bindir=/usr/bin \
		--mandir=%{_mandir} \
		--with-gdlib \
		--with-gd \
		--enable-geoip

make

%install
mkdir -p $RPM_BUILD_ROOT/etc/{webalizer,cron.daily}
mkdir -p $RPM_BUILD_ROOT/usr/{man,bin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/var/www/html/Transfer
mkdir -p $RPM_BUILD_ROOT/var/log/httpd/webalizer
install -m 755 webalizer $RPM_BUILD_ROOT/usr/bin
install -m 755 webazolver $RPM_BUILD_ROOT/usr/bin
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/webalizer
install -m 644 webalizer.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 755 %{SOURCE2}  $RPM_BUILD_ROOT/etc/cron.daily/webalizer

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%doc CHANGES COPYING DNS.README INSTALL README README.FIRST GeoIP.README
%config /etc/webalizer/webalizer.conf
/etc/cron.daily/webalizer
/usr/bin/webalizer
/usr/bin/webazolver
%{_mandir}/man1/webalizer.1.gz
%dir /var/www/html/Transfer
%dir /var/log/httpd/webalizer

%changelog
* Fri Oct 10 2003 JoungKyun Kim <http://www.oops.org> 2.01-5kr
- added classfy country with GeoIP

* Thu Sep 26 2002 JoungKyun Kim <http://www.oops.org> 2.01-4kr
- update verson 2.01-10
- fixed breakable charactor 'Other' in Usage by Country image

* Thu Feb  7 2002 JoungKyun Kim <http://www.oops.org> 2.01-3kr
- update verson 2.01-09

* Mon Mar 19 2001 JoungKyun Kim <http://www.oops.org> 2.01-1kr
- update verson 2.01-06
- edit webalizer.conf

* Tue Oct 17 2000 JoungKyun Kim <http://www.oops.org>
- packaged version 2.01-5a
- patched visit bug
- added some korean message
- update gd to 1.8.2
- patched gd library in Korean

* Thu May 04 2000 JoungKyun Kim <http://www.oops.org>
- packaged version 2.00-12

